digiKam Developer Documentation: Digikam::ThumbBarDock Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Public Member Functions | Static Public Member Functions | List of all members
Digikam::ThumbBarDock Class Reference

A dock widget specifically designed for thumbnail bars (class ThumbNailView or one of its descendants). More...

Inheritance diagram for Digikam::ThumbBarDock:

## Public Types
enum | Visibility { WAS_HIDDEN , WAS_SHOWN , SHOULD_BE_HIDDEN , SHOULD_BE_SHOWN }

## Public Slots
void | showThumbBar (bool)

## Public Member Functions
| ThumbBarDock (QWidget *const parent=nullptr, Qt::WindowFlags flags=Qt::WindowFlags())
QAction * | getToggleAction (QObject *const parent, const QString &caption=QString()) const
| Return an Action to show and hide the thumbnail bar.
void | reInitialize ()
| Measure the orientation and size of the widget and adjust the containing thumbnail bar accordingly.
void | restoreVisibility ()
void | setShouldBeVisible (bool)
bool | shouldBeVisible () const
| The normal show() and hide() functions don't apply that well, because there are two orthogonal reasons to hide the thumbbar: the user doesn't want it, and the window with the thumbbar isn't shown.

## Static Public Member Functions
static QPixmap | generateFuzzyRect (const QSize &size, const QColor &color, int radius, const QColor &fillColor=Qt::transparent)
static QPixmap | generateFuzzyRectForGroup (const QSize &size, const QColor &color, int radius)

## Detailed Description

It provides the same look as a toolbar.

## Member Function Documentation

## ◆ reInitialize()

void Digikam::ThumbBarDock::reInitialize | ( |  | ) |

Normally not needed, but useful when the dock widget has changed location and/or size and the appropriate signals aren't emitted.

## ◆ shouldBeVisible()

bool Digikam::ThumbBarDock::shouldBeVisible | ( |  | ) | const

The restoreVisibility() function will set the visibility status to what it should be according to the user setting. The setShouldBeVisible() function can change this setting. showThumbBar() can be used to hide and show the thumbbar according to the user preference. shouldBeVisible() tells whether the thumbbar should be shown according to the user.